Loading...
Searching...
No Matches
casacore::LELUnaryEnums Class Reference
lattices package (libcasa_lattices) » LEL_module » LEL_module_internal_classes

More...

`#include <LELUnaryEnums.h>`

## Public Types

enum | Operation { PLUS , MINUS , NOT , NOPS }

## Detailed Description

Each LEL unary operation is described in this enum

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- Lattice
- LatticeExpr
- LatticeExprNode
- LELInterface
- LELUnary

### Etymology

This enum provides a value for each unary operation accepted by the Lattice Expression Language classes.

### Synopsis

Each unary operator accepted by the bridging class LatticeExprNode and passed on to the LELUnary letter classes is labelled internally with a value from this enum.

Definition at line 62 of file LELUnaryEnums.h.

## Member Enumeration Documentation

## Operation

enum casacore::LELUnaryEnums::Operation

Enumerator
PLUS | Unary plus.
MINUS | Unary minus.
NOT | Unary not.
NOPS | Total number.

Definition at line 65 of file LELUnaryEnums.h.

The documentation for this class was generated from the following file:

- lattices/LEL/LELUnaryEnums.h